io.vertx.reactivex.json.schema

## Class SchemaParser

- java.lang.Object
- - io.vertx.reactivex.json.schema.SchemaParser

-     public class SchemaParser
      extends Object

  Parse a Json Schema. The parser can be extended to support custom keywords using

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SchemaParser>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaParser(Object delegate)`
    `SchemaParser(SchemaParser delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaParser` | `createDraft201909SchemaParser(SchemaRouter router)` Deprecated.
    `static SchemaParser` | `createDraft7SchemaParser(SchemaRouter router)` Deprecated.
    `static SchemaParser` | `createOpenAPI3SchemaParser(SchemaRouter router)` Deprecated.
    `boolean` | `equals(Object o)`
    `SchemaParser` | `getDelegate()`
    `SchemaRouter` | `getSchemaRouter()` Deprecated.
    `int` | `hashCode()`
    `static SchemaParser` | `newInstance(SchemaParser arg)`
    `Schema` | `parse(Boolean jsonSchema)` Deprecated.
    `Schema` | `parse(Boolean jsonSchema, JsonPointer schemaPointer)` Deprecated.
    `Schema` | `parse(JsonObject jsonSchema)` Deprecated.
    `Schema` | `parse(JsonObject jsonSchema, JsonPointer schemaPointer)` Deprecated.
    `Schema` | `parseFromString(String unparsedJson)` Deprecated.
    `Schema` | `parseFromString(String unparsedJson, JsonPointer schemaPointer)` Deprecated.
    `String` | `toString()`
    `SchemaParser` | `withStringFormatValidator(String formatName, java.util.function.Predicate<String> predicate)` Deprecated.
    `SchemaParser` | `withValidatorFactory(ValidatorFactory factory)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SchemaParser> __TYPE_ARG

  - ### Constructor Detail

    - #### SchemaParser

          public SchemaParser(SchemaParser delegate)

    - #### SchemaParser

          public SchemaParser(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SchemaParser getDelegate()

    - #### parse

          @Deprecated
          public Schema parse(JsonObject jsonSchema)

      Deprecated.
      Build a schema from provided json assigning a random scope. This method registers the parsed schema (and relative subschemas) to the schema router
      Parameters:
        `jsonSchema` - JSON representing the schema
      Returns:
        the schema instance

    - #### parse

          @Deprecated
          public Schema parse(JsonObject jsonSchema,
                                          JsonPointer schemaPointer)

      Deprecated.
      Build a schema from provided json. This method registers the parsed schema (and relative subschemas) to the schema router
      Parameters:
        `jsonSchema` - JSON representing the schema
        `schemaPointer` - Scope of schema. Must be a JSONPointer with absolute URI
      Returns:
        the schema instance

    - #### parse

          @Deprecated
          public Schema parse(Boolean jsonSchema)

      Deprecated.
      Builds a true of false schema assigning a random scope
      Parameters:
        `jsonSchema` - JSON representing the schema
      Returns:
        the schema instance

    - #### parse

          @Deprecated
          public Schema parse(Boolean jsonSchema,
                                          JsonPointer schemaPointer)

      Deprecated.
      Builds a true of false schema
      Parameters:
        `jsonSchema` - JSON representing the schema
        `schemaPointer` - Scope of schema. Must be a JSONPointer with absolute URI
      Returns:
        the schema instance

    - #### parseFromString

          @Deprecated
          public Schema parseFromString(String unparsedJson)

      Deprecated.
      Build a schema from provided unparsed json assigning a random scope. This method registers the parsed schema (and relative subschemas) to the schema router
      Parameters:
        `unparsedJson` - Unparsed JSON representing the schema.
      Returns:
        the schema instance

    - #### parseFromString

          @Deprecated
          public Schema parseFromString(String unparsedJson,
                                                    JsonPointer schemaPointer)

      Deprecated.
      Build a schema from provided unparsed json. This method registers the parsed schema (and relative subschemas) to the schema router
      Parameters:
        `unparsedJson` - Unparsed JSON representing the schema.
        `schemaPointer` - Scope of schema. Must be a JSONPointer with absolute URI
      Returns:
        the schema instance

    - #### getSchemaRouter

          @Deprecated
          public SchemaRouter getSchemaRouter()

      Deprecated.
      Get schema router registered to this schema parser
      Returns:

    - #### createOpenAPI3SchemaParser

          @Deprecated
          public static SchemaParser createOpenAPI3SchemaParser(SchemaRouter router)

      Deprecated.
      Create a new `SchemaParser` for OpenAPI schemas
      Parameters:
        `router` -
      Returns:

    - #### createDraft7SchemaParser

          @Deprecated
          public static SchemaParser createDraft7SchemaParser(SchemaRouter router)

      Deprecated.
      Create a new `SchemaParser` for Json Schema Draft-7 schemas
      Parameters:
        `router` -
      Returns:

    - #### createDraft201909SchemaParser

          @Deprecated
          public static SchemaParser createDraft201909SchemaParser(SchemaRouter router)

      Deprecated.
      Create a new `SchemaParser` for Json Schema Draft2019-09 schemas
      Parameters:
        `router` -
      Returns:

    - #### withValidatorFactory

          @Deprecated
          public SchemaParser withValidatorFactory(ValidatorFactory factory)

      Deprecated.
      Add a to this schema parser to support custom keywords
      Parameters:
        `factory` - new factory
      Returns:
        a reference to this

    - #### withStringFormatValidator

          @Deprecated
          public SchemaParser withStringFormatValidator(String formatName,
                                                                    java.util.function.Predicate<String> predicate)

      Deprecated.
      Add a custom format validator
      Parameters:
        `formatName` - format name
        `predicate` - predicate for the new format
      Returns:
        a reference to this

    - #### newInstance

          public static SchemaParser newInstance(SchemaParser arg)

Copyright © 2024 Eclipse. All rights reserved.